summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryanpcmcquen@gmail.com>2014-10-18 05:42:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-18 05:42:47 +0700
commit6e858d3d7321768428b08d8e7ed4dc9104952c7d (patch)
tree7529c9f233184ce44568ac779d5ea8efc631b483
parent7418bf8cbd1c947cb7f950e4031bd70fadfa0cfe (diff)
downloadslackbuilds-6e858d3d7321768428b08d8e7ed4dc9104952c7d.tar.gz
slackbuilds-6e858d3d7321768428b08d8e7ed4dc9104952c7d.tar.xz
graphics/mozjpeg: Added (improved jpeg encoder).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/mozjpeg/README6
-rw-r--r--graphics/mozjpeg/mozjpeg.SlackBuild91
-rw-r--r--graphics/mozjpeg/mozjpeg.info10
-rw-r--r--graphics/mozjpeg/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/graphics/mozjpeg/README b/graphics/mozjpeg/README
new file mode 100644
index 0000000000..24f5cd7e3f
--- /dev/null
+++ b/graphics/mozjpeg/README
@@ -0,0 +1,6 @@
+Improved JPEG encoder.
+
+This will not interfere with Slackware's libjpeg,
+as it installs to /opt/.
+
+The binaries are in /opt/libmozjpeg/bin/.
diff --git a/graphics/mozjpeg/mozjpeg.SlackBuild b/graphics/mozjpeg/mozjpeg.SlackBuild
new file mode 100644
index 0000000000..3aceb5a059
--- /dev/null
+++ b/graphics/mozjpeg/mozjpeg.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for jpegoptim
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=mozjpeg
+VERSION=${VERSION:-2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -fiv
+./configure \
+ --disable-static
+
+make CFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/opt/libmozjpeg/man/ -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a BUILDING.txt LICENSE.txt README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/mozjpeg/mozjpeg.info b/graphics/mozjpeg/mozjpeg.info
new file mode 100644
index 0000000000..820f44d178
--- /dev/null
+++ b/graphics/mozjpeg/mozjpeg.info
@@ -0,0 +1,10 @@
+PRGNAM="mozjpeg"
+VERSION="2.1"
+HOMEPAGE="https://github.com/mozilla/mozjpeg"
+DOWNLOAD="https://github.com/mozilla/mozjpeg/archive/v2.1.tar.gz"
+MD5SUM="02876a213d4d757d0b2075d2d3c7a4ee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/graphics/mozjpeg/slack-desc b/graphics/mozjpeg/slack-desc
new file mode 100644
index 0000000000..3cb4bbb8e0
--- /dev/null
+++ b/graphics/mozjpeg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mozjpeg: mozjpeg (improved jpeg encoder)
+mozjpeg:
+mozjpeg: mozjpeg is a variety of jpeg encoding tools.
+mozjpeg:
+mozjpeg:
+mozjpeg:
+mozjpeg:
+mozjpeg: https://github.com/mozilla/mozjpeg
+mozjpeg:
+mozjpeg:
+mozjpeg: